package com.bzd.system.service;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 门店积分商品列表 service
* @author LiXiangFei
* @since 2024-10-15
*/

@Service
public class TypeDataService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;


    public List<PageData> typeDate(PageData pd) throws Exception{
        if (pd==null || pd.size()==0){
            pd.put("dict_key",'0');
        }
        return (List<PageData>) daoSupport.findForList("TypeDateMapper.typeDate", pd);
    }
    public List<PageData> typeDate2(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("TypeDateMapper.typeDate2", pd);
    }
}
